Bug 67377 - RFE: touch or build a commented /etc/sysconfig/dhcpd
RFE: touch or build a commented /etc/sysconfig/dhcpd
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: dhcp (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-23 19:13 EDT by R P Herrold
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-23 19:53:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-06-23 19:13:58 EDT
This is a follow along to:  41050   
  
In the post-install, please add as a config file, a touch of  /etc/sysconfig/dhcpd 
 
and  
 
[ ! -s /etc/sysconfig/dhcpd ] && cat - << END > /etc/sysconfig/dhcpd 
# PORT=67 
# CFFILE=/etc/dhcpd.conf 
# LEASEFILE=/var/lib/dhcp/dhcpd.leases 
# QUIET=NO 
# INTERFACES='' 
# INTERFACES='eth1' 
END   
 
to help drive the availability of this file home 
 
-- Russ Herrold
Comment 1 R P Herrold 2002-06-23 19:53:36 EDT
> I liked the idea of having commented options in the /etc/sysconfig/dhcpd 
> file.  It makes it self documenting and easier to use. 
 
Curiously, it is not always created, which is why I 
suggested formally adding the 'touch'  and formally making i 
'config' file, so rpm -V will show its absence 
 
bash-2.05a$ cat /etc/redhat-release  ; ls -sl 
/etc/sysconfig/d* 
Red Hat Linux release 7.3 (Valhalla) 
   1 -rw-r--r--    1 root     root           16 May  9 19:11 
/etc/sysconfig/desktop 
bash-2.05a$ date 
Sun Jun 23 19:50:07 EDT 2002 
bash-2.05a$ 
 
Comment 2 Elliot Lee 2002-06-27 06:40:23 EDT
The file exists in dhcp-3.0pl1-2, thanks to dsainty

Note You need to log in before you can comment on or make changes to this bug.